HRTIMER_START_RANGE_(9)

NAME
hrtimer_start_range_ns - (re)start an hrtimer on the current CPU

SYNOPSIS

int hrtimer_start_range_ns(struct hrtimer * timer, ktime_t tim, unsigned long delta_ns, const enum hrtimer_mode mode);

ARGUMENTS

timer
    the timer to be added

tim
    expiry time

delta_ns
    "slack" range for the timer

mode
    expiry mode: absolute (HRTIMER_MODE_ABS) or relative (HRTIMER_MODE_REL)

RETURNS

0 on success 1 when the timer was active

COPYRIGHT